export const createResponse = (body, status) => new Response(body, {
    status,
});
export const getHostname = (request) => {
    const url = new URL(request.url);
    return url.host;
};
export const isSameOrigin = (url, upstream) => {
    if (url.hostname !== upstream.domain) {
        return false;
    }
    if (url.port !== '') {
        return false;
    }
    if (upstream.protocol === undefined
        && url.protocol !== 'https:') {
        return false;
    }
    if (upstream.protocol !== undefined
        && `${upstream.protocol}:` !== url.protocol) {
        return false;
    }
    return true;
};
//# sourceMappingURL=utils.js.map